<?xml version="1.0" encoding="UTF-8"?>
<log4j:configuration 
    xmlns:log4j="http://jakarta.apache.org/log4j/" 
    debug="false">
    
    <appender name="console" class="org.apache.log4j.ConsoleAppender">
        <layout class="org.apache.log4j.PatternLayout">
            <param name="ConversionPattern" value="%d %5p [%c] %m%n" />
        </layout>   
    </appender>
    
   	<logger name="org.springframework" additivity="false">
        <level value="INFO"/>
        <appender-ref ref="console"/>
    </logger>
    
    <logger name="egovframework" additivity="false">
        <level value="INFO"/>
        <appender-ref ref="console"/>
    </logger>

	<!-- log SQL with timing information, post execution -->
	<logger name="jdbc.sqltiming" additivity="false">
		<level value="INFO" />
		<appender-ref ref="console" />
	</logger>
 
	<logger name="com.ibatis">
		<level value="INFO"/>
	</logger>
	
	<logger name="java.sql">
	  <level value="INFO"/>
	</logger>
  
	<root>
		<level value="ERROR" />
		<appender-ref ref="console" />
	</root>
	
	<!-- Query Loggers -->
    <logger name="jdbc.sqlonly" additivity="false">
        <level value="INFO" />
        <appender-ref ref="console" />
        <appender-ref ref="rollingAppender" />
    </logger>
    <logger name="jdbc.resultsettable" additivity="false">
        <level value="INFO" />
        <appender-ref ref="console" />
    </logger>
    <logger name="jdbc.sqltiming" additivity="false">
        <level value="INFO" />  
           <!--  <appender-ref ref="console"/>  -->
    </logger>
    <logger name="jdbc.resultset" additivity="false">
        <level value="DEBUG" />
    </logger>
    <logger name="jdbc.audit" additivity="false">
        <level value="DEBUG" />
    </logger> 	                   
</log4j:configuration>
